WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: BuddyPress Groups Extras] Error bpge.php on line 106

[Resolved] [Plugin: BuddyPress Groups Extras] Error bpge.php on line 106

  • Hello your plugin is awesome it’s exactly what I’ve been looking for.

    have a problem though – I’m using WordPress 3.3.1 (multisite enabled) and Buddypress 1.5.4 here is the error I get:

    Warning: in_array() [function.in-array]: Wrong datatype for second argument in /home/citizenu/public_html/wp-content/plugins/buddypress-groups-extras/bpge.php on line 106

    Any idea about what needs to be fixed?
    Thanks

    http://wordpress.org/extend/plugins/buddypress-groups-extras/

Viewing 2 replies - 1 through 2 (of 2 total)
  • We worked around this incompatibility by turning off the plugin for private and hidden groups, that is we can use it with public groups only, and without a problem. We would like to use the plugin for private and hidden groups, hopefully after a future update 🙂

    go to
    /wp-content/plugins/buddypress-groups-extras/bpge.php
    and on line 106

    change

    if ( $bp->current_component == bp_get_groups_root_slug() && $bp->is_single_item && in_array($bp->groups->current_group->id, $bpge['groups'])){

    to

    if ( $bp->current_component == bp_get_groups_root_slug() && $bp->is_single_item && in_array($bp->groups->current_group->id, (array)$bpge['groups'])){

    this worked for me and STILL allows you to use private & hidden groups.
    ( my fix forces in_array to recognize $bpge[‘group’] as an array and not complain that it cant determine the data type )

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: BuddyPress Groups Extras] Error bpge.php on line 106’ is closed to new replies.